## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           vulkan-validation-layers
Version:        1.4.304.0
Release:        %autorelease
Summary:        Vulkan validation layers

License:        Apache-2.0
URL:            https://github.com/KhronosGroup/Vulkan-ValidationLayers
Source0:        %url/archive/vulkan-sdk-%{version}.tar.gz#/Vulkan-ValidationLayers-sdk-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake3
BuildRequires:  glslang-devel
BuildRequires:  ninja-build
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  spirv-tools-devel
BuildRequires:  spirv-headers-devel
BuildRequires:  vulkan-headers
BuildRequires:  vulkan-loader-devel
BuildRequires:  vulkan-utility-libraries-devel
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xcb)

%description
Vulkan validation layers

%prep
%autosetup -p1 -n Vulkan-ValidationLayers-vulkan-sdk-%{version}


%build
# Decrease debuginfo verbosity to reduce memory consumption even more
%global optflags %(echo %{optflags} | sed 's/-g /-g1 /')
%global optflags %(echo %{optflags} | sed 's/-O2 /-O1 /')

%cmake3 -DCMAKE_BUILD_TYPE=Release \
        -DBUILD_WERROR=OFF \
        -DGLSLANG_INSTALL_DIR=%{_prefix} \
        -DBUILD_LAYER_SUPPORT_FILES:BOOL=ON \
        -DUSE_ROBIN_HOOD_HASHING:BOOL=OFF \
        -DSPIRV_HEADERS_INSTALL_DIR=%{_prefix} \
        -DVULKAN_HEADERS_INSTALL_DIR=%{_prefix} \
        -DCMAKE_INSTALL_INCLUDEDIR=%{_includedir}
%cmake_build


%install
%cmake_install


%ldconfig_scriptlets


%files
%license LICENSE.txt
%doc README.md CONTRIBUTING.md
%{_datadir}/vulkan/explicit_layer.d/*.json
%{_libdir}/libVkLayer_*.so

%changelog
## START: Generated by rpmautospec
* Tue Jan 21 2025 José Expósito <jexposit@redhat.com> - 1.4.304.0-1
- Update to 1.4.304.0 SDK

* Tue Oct 29 2024 Troy Dawson <tdawson@redhat.com> - 1.3.283.0-3
- Bump release for October 2024 mass rebuild:

* Mon Jun 24 2024 Troy Dawson <tdawson@redhat.com> - 1.3.283.0-2
- Bump release for June 2024 mass rebuild

* Tue May 28 2024 José Expósito <jexposit@redhat.com> - 1.3.283.0-1
- Update to 1.3.283.0 SDK

* Thu Feb 01 2024 José Expósito <jexposit@redhat.com> - 1.3.268.0-4
- Remove dependency to vulkan-utility-libraries-devel

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.268.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 30 2023 José Expósito <jexposit@redhat.com> - 1.3.268.0-2
- Add missing dependency

* Mon Nov 20 2023 José Expósito <jexposit@redhat.com> - 1.3.268.0-1
- update to 1.3.268.0 SDK

* Tue Sep 05 2023 Dave Airlie <airlied@redhat.com> - 1.3.261.1-1
- update to 1.3.261.1 sdk

* Mon Sep 04 2023 Dave Airlie <airlied@redhat.com> - 1.3.250.1-3
- migrated to SPDX license

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.250.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Dave Airlie <airlied@redhat.com> - 1.3.250.1-1
- update to 1.3.250.1

* Tue Jun 20 2023 Dave Airlie <airlied@redhat.com> - 1.3.250.0-1
- update to 1.3.250.0 sdk

* Mon Apr 24 2023 Dave Airlie <airlied@redhat.com> - 1.3.243.0-1
- update to 1.3.243.0 sdk release

* Wed Feb 15 2023 Dave Airlie <airlied@redhat.com> - 1.3.239.0-4
- vvl: add static library to devel package

* Wed Feb 15 2023 Dave Airlie <airlied@redhat.com> - 1.3.239.0-3
- vvl: drop the shared util library, no longer used.

* Tue Jan 31 2023 Dave Airlie <airlied@redhat.com> - 1.3.239.0-2
- Fixup patches

* Tue Jan 31 2023 Dave Airlie <airlied@redhat.com> - 1.3.239.0-1
- update to 1.3.239.0 sdk release

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.231.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 13 2022 Dave Airlie <airlied@redhat.com> - 1.3.231.1-9
- fix valdiation layer includes

* Thu Nov 10 2022 Dave Airlie <airlied@redhat.com> - 1.3.231.1-8
- make sure we disable werror even harder.

* Thu Nov 10 2022 Dave Airlie <airlied@redhat.com> - 1.3.231.1-7
- just disable werrors

* Thu Nov 10 2022 Dave Airlie <airlied@redhat.com> - 1.3.231.1-6
- Warning fix again

* Thu Nov 10 2022 Dave Airlie <airlied@redhat.com> - 1.3.231.1-5
- workaround warning

* Thu Nov 10 2022 Dave Airlie <airlied@redhat.com> - 1.3.231.1-4
- Fix another include dir

* Wed Nov 09 2022 Dave Airlie <airlied@redhat.com> - 1.3.231.1-3
- fix include dir

* Wed Nov 09 2022 Dave Airlie <airlied@redhat.com> - 1.3.231.1-2
- Add a builddep

* Wed Nov 09 2022 Dave Airlie <airlied@redhat.com> - 1.3.231.1-1
- update to 1.3.231.1 sdk release

* Wed Aug 24 2022 Dave Airlie <airlied@redhat.com> - 1.3.224.0-1
- Update to latest 1.3.224.0

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.216.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Dave Airlie <airlied@redhat.com> - 1.3.216.0-1
- Update to latest 1.3.216.0

* Wed Apr 27 2022 Dave Airlie <airlied@redhat.com> - 1.3.211.0-4
- fix up include dir more

* Wed Apr 27 2022 Dave Airlie <airlied@redhat.com> - 1.3.211.0-3
- vvl: fixup include dir

* Wed Apr 27 2022 Dave Airlie <airlied@redhat.com> - 1.3.211.0-2
- drop unused patches.

* Wed Apr 27 2022 Dave Airlie <airlied@redhat.com> - 1.3.211.0-1
- Update to latest 1.3.211.0

* Wed Feb 16 2022 Dave Airlie <airlied@redhat.com> - 1.3.204.0-3
- fixup validation layers for upstream regressions

* Wed Feb 16 2022 Dave Airlie <airlied@redhat.com> - 1.3.204.0-2
- fix spirv path

* Tue Feb 15 2022 Dave Airlie <airlied@redhat.com> - 1.3.204.0-1
- Update to latest 1.3.204.0

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.198.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 09 2021 Dave Airlie <airlied@redhat.com> - 1.2.198.0-3
- build against new spirv-tools

* Thu Dec 09 2021 Dave Airlie <airlied@redhat.com> - 1.2.198.0-2
- fix abi issue with spirv-tools

* Tue Nov 23 2021 Dave Airlie <airlied@redhat.com> - 1.2.198.0-1
- Update to latest 1.2.198.0

* Tue Sep 07 2021 Dave Airlie <airlied@redhat.com> - 1.2.189.0-1
- Update to latest 1.2.189.0

* Fri Aug 06 2021 Dave Airlie <airlied@redhat.com> - 1.2.182.0-3
- fix validation layers missing export

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.182.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 06 2021 Dave Airlie <airlied@redhat.com> - 1.2.182.0-1
- Update to latest 1.2.182.0 release

* Thu May 20 2021 Dave Airlie <airlied@redhat.com> - 1.2.176.1-5
- try and use less optimisation

* Tue May 18 2021 Dave Airlie <airlied@redhat.com> - 1.2.176.1-4
- avoid parallel make on i686 in the hope of getting a build without OOM

* Tue May 18 2021 Dave Airlie <airlied@redhat.com> - 1.2.176.1-3
- typo time

* Tue May 18 2021 Dave Airlie <airlied@redhat.com> - 1.2.176.1-2
- disable robin hood hashing

* Tue May 18 2021 Dave Airlie <airlied@redhat.com> - 1.2.176.1-1
- Update to latest 1.2.176.1 release

* Fri Jan 29 2021 Dave Airlie <airlied@redhat.com> - 1.2.162.0-1
- Update to latest 1.2.162.0 release

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.154.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 17 2020 Adam Jackson <ajax@redhat.com> - 1.2.154.0-2
- Add LAYER_CONFIGURATION.md to the docs

* Tue Nov 03 2020 Dave Airlie <airlied@redhat.com> - 1.2.154.0-1
- Update to 1.2.154.0

* Wed Aug 05 2020 Dave Airlie <airlied@redhat.com> - 1.2.148.0-3
- add missing BR

* Wed Aug 05 2020 Dave Airlie <airlied@redhat.com> - 1.2.148.0-2
- fix spirv include

* Wed Aug 05 2020 Dave Airlie <airlied@redhat.com> - 1.2.148.0-1
- Update to 1.2.148.0

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.135.0-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.135.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Apr 22 2020 Dave Airlie <airlied@redhat.com> - 1.2.135.0-1
- Update validation layers to 1.2.135.0

* Wed Jan 29 2020 Dave Airlie <airlied@redhat.com> - 1.2.131.1-1
- Update validation layers to 1.2.131.1

* Thu Nov 14 2019 Dave Airlie <airlied@redhat.com> - 1.1.126.0-2
- fix glslang prefix

* Wed Nov 13 2019 Dave Airlie <airlied@redhat.com> - 1.1.126.0-1
- Update validation layers to 1.1.126.0

* Sat Aug 03 2019 Dave Airlie <airlied@redhat.com> - 1.1.114.0-2
- fixup cmake to build support files

* Wed Jul 31 2019 Dave Airlie <airlied@redhat.com> - 1.1.114.0-1
- Update validation layers to 1.1.114.0

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.108.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jun 25 2019 Dave Airlie <airlied@redhat.com> - 1.1.108.0-1
- Update valdiation layers to 1.1.108.0

* Wed Mar 06 2019 Dave Airlie <airlied@redhat.com> - 1.1.101.0-1
- Update valdiation layers to 1.1.101.0

* Wed Feb 13 2019 Dave Airlie <airlied@redhat.com> - 1.1.97.0-1
- Update validation layers to 1.1.97.0

* Tue Feb 12 2019 Dave Airlie <airlied@redhat.com> - 1.1.92.0-1
- Update validation layers to 1.1.92.0

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.82.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Sep 18 2018 Adam Jackson <ajax@redhat.com> - 1.1.82.0-2
- BuildRequires: python3-devel for RHEL compatibility

* Tue Aug 07 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.82.0-1
- Update to 1.1.82.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.77.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 09 2018 Igor Gnatenko <ignatenko@redhat.com> - 1.1.77.0-5
- add BuildRequires: gcc-c++,gcc

* Wed Jun 27 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.77.0-4
- readd lost readme

* Tue Jun 26 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.77.0-3
- Workaround i686 build issue

* Tue Jun 26 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.77.0-2
- Exclude i686 due to 'virtual memory exhausted' FTBFS

* Tue Jun 26 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.77.0-1
- Initial import
## END: Generated by rpmautospec
